Last Comment Bug 691524 - Remove support for browser.startup.page == 2 and deprecate lastPageVisited
: Remove support for browser.startup.page == 2 and deprecate lastPageVisited
Status: RESOLVED FIXED
[fixed-in-fx-team]
: addon-compat, dev-doc-complete
Product: Toolkit
Classification: Components
Component: Places (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: :Margaret Leibovic
:
:
Mentors:
Depends on:
Blocks: 692339 692423
  Show dependency treegraph
 
Reported: 2011-10-03 14:29 PDT by :Margaret Leibovic
Modified: 2011-12-12 07:34 PST (History)
6 users (show)
mak77: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (4.36 KB, patch)
2011-10-03 15:55 PDT, :Margaret Leibovic
no flags Details | Diff | Splinter Review
patch (6.32 KB, patch)
2011-10-03 15:58 PDT, :Margaret Leibovic
mak77: review+
gavin.sharp: superreview+
Details | Diff | Splinter Review

Description :Margaret Leibovic 2011-10-03 14:29:44 PDT
I'm going to be refactoring some of our window startup code while I implement the home tab and some corresponding new startup logic, so I figured it would be a good time to clean up some of the cruft in the startup code.

This pref hasn't been accessible from the UI for a long time (I don't know when it was), and lastPageVisited is a synchronous API only used by this pref, so I think we'd be okay killing it.
Comment 1 Marco Bonardo [::mak] 2011-10-03 14:32:09 PDT
I'm fine with killing the API, but just for information, are there many add-ons using it? If it ends up being needed we may want to add an asynchronous replacement.
Comment 2 :Margaret Leibovic 2011-10-03 15:55:02 PDT
Created attachment 564373 [details] [diff] [review]
patch

As discussed on IRC, only one add-on [1] uses this API. It only supports up to 3.6a1pre, so I don't think we need to worry about breaking it.

[1] https://addons.mozilla.org/en-US/firefox/addon/firetray-10702/
Comment 3 :Margaret Leibovic 2011-10-03 15:58:20 PDT
Created attachment 564375 [details] [diff] [review]
patch

Oops, forgot to save some changes before exporting patch.
Comment 4 Marco Bonardo [::mak] 2011-10-04 02:45:05 PDT
Comment on attachment 564375 [details] [diff] [review]
patch

Review of attachment 564375 [details] [diff] [review]:
-----------------------------------------------------------------

This looks good to me. It still needs a SR for the API change before landing, gavin is already aware of this so going through him.
Comment 6 Rob Campbell [:rc] (:robcee) 2011-10-06 04:20:45 PDT
https://hg.mozilla.org/mozilla-central/rev/695e3b73e605
Comment 7 Eric Shepherd [:sheppy] 2011-12-12 07:34:24 PST
Docs updated:

https://developer.mozilla.org/en/XPCOM_Interface_Reference/nsIBrowserHistory

Firefox 10 for developers updated.

Note You need to log in before you can comment on or make changes to this bug.